///////////////////////////////////////////////////////////////////////////////
// CNETConfig.cpp : Defines the class behaviors for the application.
//
//
// Author: Khalid Shaikh
// Date:   June 30, 2002
//
// Description:
//
//      CNETConfig.cpp contains all code relevant to the class CCNETConfigApp.
//      This class is responsible for all application level functions.
//
///////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "CNETConfig.h"
#include "PropSheet.h"
#include "PageTab1.h"
#include "PageTab2.h"
#include "PageTab3.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCNETConfigApp

BEGIN_MESSAGE_MAP(CCNETConfigApp, CWinApp)
	//{{AFX_MSG_MAP(CCNETConfigApp)
		// NOTE - the ClassWizard will add and remove mapping macros here.
		//    DO NOT EDIT what you see in these blocks of generated code!
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCNETConfigApp construction

CCNETConfigApp::CCNETConfigApp()
	: CWinApp()
{
}

/////////////////////////////////////////////////////////////////////////////
// The one and only CCNETConfigApp object

CCNETConfigApp theApp;                  // Global instance of app, singleton

/////////////////////////////////////////////////////////////////////////////
// CCNETConfigApp initialization

BOOL CCNETConfigApp::InitInstance()
{
	// Set Registry Key
	SetRegistryKey(TEXT("CNET Networks, Inc"));

	// Create Property Sheet
	CPropSheet m_dlgPropertySheet(TEXT("Settings"));

	// Create Property Pages
	CPageTab1 m_dlgPropertyPage1;
	CPageTab2 m_dlgPropertyPage2;
	CPageTab3 m_dlgPropertyPage3;

	// Add Property Pages to Property Sheet
	m_dlgPropertySheet.AddPage((CPropertyPage *)&m_dlgPropertyPage1);
	m_dlgPropertySheet.AddPage((CPropertyPage *)&m_dlgPropertyPage2);
	m_dlgPropertySheet.AddPage((CPropertyPage *)&m_dlgPropertyPage3);

	// Display modal dialog of Property Sheet
	m_dlgPropertySheet.DoModal();

	// Do not execute Windows message pump
	return FALSE;
}

// Set the color of the CNET Configuration static text
LRESULT SetTitleColor(HDC hDC, HWND hWnd)
{
	// Singleton instance of font
	static CFont fontTitle;
	static int bInit = true;

	// Create CDC and attach HDC to it
	CDC DC;
	DC.Attach(hDC);

	// If font has not been initialized, initialize it
	if(bInit)
	{
		// Create font for title
		CFont *pFont = CFont::FromHandle((HFONT)GetStockObject(SYSTEM_FONT));
		LOGFONT lf;
		pFont->GetLogFont(&lf);					// Retreive default font
		lf.lfWeight = FW_BOLD;					// Make it bold
		lf.lfHeight = 13;						// Make it smaller
		fontTitle.CreateFontIndirect(&lf);		// Create new font
		bInit = false;							// Do not init again
	}

	// Set the current font and change the color to blue
	DC.SetTextColor(GetSysColor(COLOR_ACTIVEBORDER));
	DC.SelectObject(&fontTitle);

	// Return the background brush to erase with.
	return (LRESULT)GetStockObject(WHITE_BRUSH);
}
