// PageTab2.cpp : implementation file
//
#include "stdafx.h"
#include "resource.h"
#include "PageTab2.h"
#include "CNETConfig.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPageTab2 property page

IMPLEMENT_DYNCREATE(CPageTab2, CPropertyPage)

CPageTab2::CPageTab2() : CPropertyPage(CPageTab2::IDD, IDS_TAB2)
{
	//{{AFX_DATA_INIT(CPageTab2)
	m_bImages = FALSE;
	m_nLinks = -1;
	m_sInterval = _T("");
	m_sSize = _T("");
	//}}AFX_DATA_INIT
}

CPageTab2::~CPageTab2()
{
}

void CPageTab2::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPageTab2)
	DDX_Control(pDX, IDS_TITLE, m_sTitle);
	DDX_Check(pDX, IDC_IMAGES, m_bImages);
	DDX_CBIndex(pDX, IDCB_DEPTH, m_nLinks);
	DDX_CBString(pDX, IDCB_INTERVAL, m_sInterval);
	DDX_CBString(pDX, IDCB_SIZE, m_sSize);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CPageTab2, CPropertyPage)
	//{{AFX_MSG_MAP(CPageTab2)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPageTab2 message handlers

// Handle WM_CTLCOLORSTATIC and override static control's font & color
LRESULT CPageTab2::WindowProc(UINT message, WPARAM wParam, LPARAM lParam) 
{
	if(message == WM_CTLCOLORSTATIC)	
	{	
		if(::GetDlgItem(m_hWnd, IDS_TITLE) == (HWND)lParam)
			return SetTitleColor((HDC)wParam, (HWND)lParam);
	}

	return CPropertyPage::WindowProc(message, wParam, lParam);
}

BOOL CPageTab2::OnInitDialog() 
{
	CPropertyPage::OnInitDialog();
	
	// Read values from registry
	CWinApp *pWinApp = AfxGetApp();
	m_bImages = pWinApp->GetProfileInt(TEXT("preferences"), TEXT("Images"), 1);
	m_nLinks = pWinApp->GetProfileInt(TEXT("preferences"), TEXT("Links"), 3);
	m_sInterval = pWinApp->GetProfileString(TEXT("preferences"), TEXT("Interval"), TEXT("weekly: Sun"));
	m_sSize = pWinApp->GetProfileString(TEXT("preferences"), TEXT("Size"), TEXT("50k"));

	int nRadio = pWinApp->GetProfileInt(TEXT("preferences"), TEXT("PocketPC"), IDR_POCKETPC1);
	CheckRadioButton(IDR_POCKETPC1, IDR_POCKETPC2, nRadio);

	// Update MFC variables
	UpdateData(FALSE);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

BOOL CPageTab2::OnKillActive() 
{
	// Save and validate
	UpdateData(TRUE);

	// Write values to registry
	CWinApp *pWinApp = AfxGetApp();
	pWinApp->WriteProfileInt(TEXT("preferences"), TEXT("Images"), m_bImages);
	pWinApp->WriteProfileInt(TEXT("preferences"), TEXT("Links"), m_nLinks);
	pWinApp->WriteProfileString(TEXT("preferences"), TEXT("Interval"), m_sInterval);
	pWinApp->WriteProfileString(TEXT("preferences"), TEXT("Size"), m_sSize);

	int nRadio = GetCheckedRadioButton(IDR_POCKETPC1, IDR_POCKETPC2);
	pWinApp->WriteProfileInt(TEXT("preferences"), TEXT("PocketPC"), nRadio);

	return CPropertyPage::OnKillActive();
}
